#!/usr/bin/env bash
set -e

echo "Building keymap"
docker build .

if [ -f planck_ez_glow_ashe.bin ]; then
  echo "Removing old keymap"
  rm planck_ez_glow_ashe.bin
fi

echo "Copying new keymap out of docker"
docker run -it \
  --mount type=bind,source="$(pwd)",target=/out \
  $(docker build . -q) \
  cp planck_ez_glow_ashe.bin /out/
